using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace Performance.DtoModels
{
    public enum Component
    {
        /// <summary>
        /// 通知
        /// </summary>
        [Description("通知")]
        Notification = 0,

        /// <summary>
        /// 进度条
        /// </summary>
        [Description("进度条")]
        Progress = 1,
    }

    public enum ComponentType
    {
        /// <summary>
        /// 成功
        /// </summary>
        [Description("成功")]
        success = 0,

        /// <summary>
        /// 消息
        /// </summary>
        [Description("消息")]
        info = 1,

        /// <summary>
        /// 警告
        /// </summary>
        [Description("警告")]
        warning = 2,

        /// <summary>
        /// 错误
        /// </summary>
        [Description("错误")]
        error = 3,

        /// <summary>
        /// 异常
        /// </summary>
        [Description("异常")]
        exception = 4,
    }
}
